Subject: [MIB-DOCTORS] FW: Question for PEN REQUEST-56903

From: "ietfdbh" <[email-masked]>
Date: Tue, 25 Jun 2013 19:50:37 -0400

Whoops; forgot to a the cc:

Also realized I must be wrong in my analysis below.
Most of the Organization names are capitalized in the registry, and do not
follow SMI descriptor rules.

MIB Doctors??

David Harrington
[email-masked]
+1-603-828-1401

-----Original Message-----
From: David Harrington [mailto:[email-masked]] 
Sent: Tuesday, June 25, 2013 5:47 PM
To: Alexey Melnikov; Pearl Liang
Cc: Benoit Claise
Subject: Re: Question for PEN REQUEST-56903

Hi,

Copying MIB-Doctors ...

RFC5612 identifies a number of protocols that use enterprise IDs.
I have not checked everything yet, but it appears to me that as long as the
protocol is only using the assigned number, there should be no problem.

The place where it might be a problem would be if somebody tried to use the
associated name "42".
SMI **registration** is defined in RFC2578 section 3.6 (1).
IANA is registering the association between a descriptor and an OBJECT
IDENTIFIER value (the PEN) So "42" would be an SMI descriptor.
That would be illegal, since SMI descriptors must start with a lower case
letter, per RFC2578, section 3.1.

One place where the descriptor gets used is in other
assignments/registrations, such as in a MIB module.
If I wanted to assign a subtree "subtree1" underneath the company's
enterprise branch, I think I would use a definition like this:

enterprises    OBJECT IDENTIFIER ::= { private 1 } // from RFC2578
42    OBJECT IDENTIFIER ::= { enterprises PEN } // per IANA
registrationsubtree1    OBJECT IDENTIFIER ::= { 42 1 }

I don't know if there is anyplace that states that the "Organization" name
is in fact an SMI descriptor.
"SMI Network Management Private Enterprise Codes"
http://www.iana.org/assignments/enterprise-numbers

Decimal
| Organization
| | Contact
| | | Email
| | | |

The place to get the translation from PEN to enterprise name is the
Organization field in the registry.
Assuming I have figured this out correctly, that relationship between
"Organization" and SMI descriptor should probably be documented at the
registry.

MIB Doctors - any comments??

--
David Harrington
[email-masked]
+1-603-828-1401

On 6/25/13 11:59 AM, "Alexey Melnikov" <[email-masked]> wrote:

>
>  
>    
>  
>  
>    On 22/06/2013 03:17, Pearl Liang wrote:
>    
>    
>      Hi
>        Alexey,
>    
>
>    Hi Pearl,
>    
>      
>      
>      We
>        received the following PEN request.  I've a question about the
>        proposed company name '42'.  Do you see any problems to accept
>        only numerics as the company name and set the precedent?
>      
>    
>
>    I can't think of any problem with all-numeric registrations.
>    But I am CCing David & Benoit in case they have some information
>    on why this might not be a good idea.
>    
>      
>      
>      
>        REQUEST-56903
>        Created On 2013-06-18
>        
>        
>        Organization
>        Name 42
>        Address
>          96 boulevard Bessiere 75018, France
>        Phone
>          
>        Contact
>        Name Kevin
>          'Ether' Boulain
>        Address
>          
>        Phone
>          
>        Email
>          [email-masked]
>      
>      
>      
>      
>      
>      I
>        checked the website '42.fr' and saw that they use '42'.   I
>        quickly glanced at the current PEN registry and did not find a
>        only 'numerics' company name while we have many entries with
>        combinations of letters and numbers:
>      
>        9105 - 1938 Québec Inc.
>        IEEE 802.11
>        7ia
>        See: http://www.iana.org/assignments/enterprise-numbers
>        Should we ask the applicant to use '42.fr'?   Please advise.
>      
>    
>
>    
>  
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 26 Jun 2013 07:34:33 +0200

Hi,

I think it is as simple as this: There is no descriptor in the
registry.

/js

On Tue, Jun 25, 2013 at 07:50:37PM -0400, ietfdbh wrote:
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "ietfdbh" <[email-masked]>
Date: Wed, 26 Jun 2013 10:41:27 -0400

So the original question is whether an Organization named "42" can be used
in the PEN registry without causing issues.
If organization is not a descriptor, then it appears using "42" is no
problem.
Agreed?

David Harrington
[email-masked]
+1-603-828-1401
-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]] 
Sent: Wednesday, June 26, 2013 1:35 AM
To: ietfdbh
Cc: MIB Doctors
Subject: Re: [MIB-DOCTORS] FW: Question for PEN REQUEST-56903

Hi,

I think it is as simple as this: There is no descriptor in the registry.

/js

On Tue, Jun 25, 2013 at 07:50:37PM -0400, ietfdbh wrote:
> Most of the Organization names are capitalized in the registry, and do 
> not follow SMI descriptor rules.
> 
> MIB Doctors??
> 
> David Harrington
> [email-masked]
> +1-603-828-1401
> 
> I have not checked everything yet, but it appears to me that as long 
> as the protocol is only using the assigned number, there should be no
problem.
> 
> The place where it might be a problem would be if somebody tried to 
> use the associated name "42".
> That would be illegal, since SMI descriptors must start with a lower 
> case letter, per RFC2578, section 3.1.
> 
> 
> I don't know if there is anyplace that states that the "Organization" 
> name is in fact an SMI descriptor.

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 26 Jun 2013 18:04:26 +0200

> If organization is not a descriptor, then it appears using "42" is no

If there is such an organization, no problem. We do not have a
registry of the descriptors used for all the PENs (unfortunately but
way too late to fix).

/js